.top-nav,
.our-mission-section,
.mission-stars,
.yt-videos-section,
footer,
html {
  background-color: rgba(10, 49, 97, 1);
}

footer .container {
  background:
    linear-gradient(
      45deg,
      rgba(10, 49, 97, 0.9) 0%,
      rgba(10, 49, 97, 0.9) 100%
    ),
    url(../../img/logo-seal.webp);
  background-repeat: no-repeat;
  background-position-x: 100%;
  background-position-y: center;
  background-size: auto, 350px;
}

.nav-link:hover {
  background-color: rgba(10, 49, 97, 1);
  color: white;
}

.dropdown-item:hover {
  background-color: rgba(10, 49, 97, 1);
  color: white;
}

.hero {
  height: 35vw;
  background: rgb(127, 127, 127);
  background-image:
    url(../../imgs/memorialDay_template/Roger-Eaton.webp),
    url(../../img/memorialDay_template/hero-bg-2.jpg);
  background-repeat: no-repeat;
  background-size: 735px, cover;
  background-position-y: 101%, 30%;
  background-position-x: 105%, center;
  backdrop-filter: grayscale(1);
  max-height: 950px;
  padding: 0;
  /* background: #01619b; */
}

.hero-soldiers {
  position: absolute;
  bottom: 0;
  left: 10%;
  width: auto; /* or set width like 300px */
  max-height: 100%;
  object-fit: contain;
  z-index: 9;
}

.roger {
  position: absolute;
  bottom: 0;
  right: 0;
  width: auto; /* or set width like 300px */
  max-height: 700px;
  height: 100%;
  object-fit: contain;
  z-index: 9;
}

@media (max-width: 2100px) {
  .hero {
    background-size: 35%, cover;
  }
}

@media (max-width: 991px) {
  .memorialDay-templateStyle.message-text {
    height: auto;
  }
}

@media (max-width: 650px) {
  .memorialDay-templateStyle.message-text {
    zoom: 0.5;
  }
}

.message-text .cursive.animate {
  margin-top: 0;
  margin-bottom: 18px !important;
}

.message {
  padding: 15px;
  background-color: #0a3161;
  overflow-x: clip;
}

.message .container {
  background-image:
    linear-gradient(to bottom, rgba(10, 49, 97, 0.5), rgba(10, 49, 97, 1)),
    url("../img/memorialDay_template/flag.png");
  background-size:
    100% 100%,
    1000px auto;
  background-repeat: repeat, no-repeat;
  background-position:
    0 0,
    -30% 100%;
}

.message-text .cursive.animate {
  padding-bottom: 10px;
}

.star-graphics:nth-of-type(1) {
  padding-top: 20px;
}

.memorialDay-templateStyle p:nth-of-type(2) {
  padding-bottom: 25px;
}

.services .col-4 .icon-container {
  background: red;
  z-index: 1;
  background-image: url("../../img/memorialDay_template/service_btn_2.webp");
  background-size: 100%;
  background-repeat: no-repeat;
  border: none;
}

.icon-container p.icon-text {
  color: rgba(10, 49, 97, 1) !important;
  line-height: 25px !important;
  margin-bottom: 10px;
  font-size: 22px;
}

.icon-container img {
  scale: 0.8;
}

#top-container-other {
  background-color: rgba(10, 49, 97, 1);
}

@media (max-width: 1175px) {
  .icon-container img {
    scale: 0.7;
  }

  .icon-container p.icon-text {
    color: rgba(10, 49, 97, 1) !important;
    line-height: 20px !important;
    margin-bottom: 5px;
    margin-top: 13px;
    font-size: 20px;
  }
}

@media (max-width: 992px) {
  .icon-container img {
    scale: 0.7;
  }

  .icon-container p.icon-text {
    color: rgba(10, 49, 97, 1) !important;
    line-height: 15px !important;
    margin-bottom: 3px;
    margin-top: 5px;
    font-size: 14px;
  }
}

.star-graphics {
  position: relative;
  display: flex;
  flex-direction: row;
  padding: 0 100px;
}

@media (max-width: 1115px) {
  .star-graphics {
    padding: 0 60px;
  }
}

@media (max-width: 600px) {
  .star-graphics {
    padding: 0;
  }
}

.star-container {
  width: 100%;
  margin-top: -30px;
}

.line {
  background-color: white;
  height: 1px;
  width: 100%;
  opacity: 0;
}

.star {
  margin: 0;
  display: inline-block;
  background-image: url("../img/memorialDay_template/star.svg");
  background-repeat: no-repeat;
  background-size: 80%;
  background-position: center;
  height: 25px;
  width: 25px;
  z-index: 1;
}

.star:nth-of-type(2) {
  height: 40px;
  width: 40px;
  margin-bottom: -8px;
}

.star,
.line {
  opacity: 0;
}

.message-text p {
  opacity: 0;
}

@keyframes fadeInMiddleStar {
  to {
    opacity: 1;
  }
}

@keyframes slideInStars {
  from {
    transform: scale(0.5);
    opacity: 0;
  }

  to {
    transform: scale(1);
    opacity: 1;
  }
}

@keyframes drawLine1 {
  from {
    transform: translateX(150px);
  }

  to {
    transform: translateX(0);
  }
}

@keyframes drawLine2 {
  from {
    transform: translateX(-150px);
  }

  to {
    transform: translateX(0);
  }
}

.middle-star {
  animation: fadeInMiddleStar 200ms forwards;
  animation-delay: 200ms;
}

.side-star {
  animation: slideInStars 200ms forwards;
}

.line-animation1 {
  animation: drawLine1 400ms forwards;
}

.line-animation2 {
  animation: drawLine2 400ms forwards;
}

footer,
.yt-videos-section,
.our-mission-section {
  position: relative;
  border-top: 9px solid red;
}

footer::before,
.yt-videos-section:before,
.our-mission-section:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 4px;
  background-color: white;
  transform: translateY(-4px);
  z-index: 1;
}
